## org.eclipse.emf.ecore
Interface EOperation.Internal.InvocationDelegate.Factory

Enclosing interface:
  EOperation.Internal.InvocationDelegate

    public static interface EOperation.Internal.InvocationDelegate.Factory

A factory for creating invocation delegates.

Nested Class Summary
`static interface` `EOperation.Internal.InvocationDelegate.Factory.Descriptor` A `Factory` wrapper that is used by the `EOperation.Internal.InvocationDelegate.Factory.Registry`.
`static interface` `EOperation.Internal.InvocationDelegate.Factory.Registry` A registry of invocation-delegate factories.

Method Summary
`EOperation.Internal.InvocationDelegate` `createInvocationDelegate(EOperation operation)` Creates the invocation delegate for the specified `operation`.

Method Detail

### createInvocationDelegate

    EOperation.Internal.InvocationDelegate createInvocationDelegate(EOperation operation)

  Creates the invocation delegate for the specified `operation`.

  Parameters:
    `operation` - the operation
  Returns:
    its invocation delegate

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.